#!/bin/bash
# unset.sh: Dés-initialiser une variable.

variable=hello                       # Initialisée.
echo "variable = $variable"

unset variable                       # Dés-initialisée.
                                     # Même effet que : variable=
echo "(unset) variable = $variable"  # $variable est null.

if [ -z "$variable" ]                # Tente un test de longueur de chaîne.
then
  echo "\$variable a une taille nulle."
fi

exit 0
